-- clear asce tables
drop table asce_link;
drop table asce_linktype;
drop table asce_deal;
drop table asce_tags;
drop table asce_currencies;
drop table asce_sales_stage;
drop table asce_helpertable_linktype_document;
drop table asce_helpertable_linktype_mail;
drop table asce_helpertable_document_sequence;
drop table asce_helpertable_mail_sequence;
drop table ascefolder_permissions;
drop table ascefolder_tree;
drop table asce_sequence_sales_stage;
drop table asce_sequence_deal;
drop table asce_sequence_folder;
drop table asce_weblink;
drop table asce_sequence_weblink;

-- ensure that safe updates are disabled
SET @asce_safe_updates_old_value = @@SQL_SAFE_UPDATES;
SET SQL_SAFE_UPDATES = 0;
-- clear asce data in ox tables
delete from updateTask where taskName like 'de.digitec.asce.%';
delete from contextAttribute where name like 'asce/%';
-- delete historical capabilities names. Can happen if no one logged in
delete from capability_user where cap like 'deals-%' or cap like 'asce-%';
delete from capability_user where cap like 'ez-%';
delete from jsonStorage where id like 'de.digitec.asce%';

SET SQL_SAFE_UPDATES = @asce_safe_updates_old_value;
